services:
  postgres:
    image: 'postgres:16'
    container_name: etfo-db
    environment:
      - POSTGRES_DB=etfo-db
      - POSTGRES_PASSWORD=test
      - POSTGRES_USER=test
    volumes:
      - ./init.sql:/docker-entrypoint-initdb.d/init.sql
      - ./.db:/var/lib/postgresql/data
    ports:
      - 5432:5432
